My Oracle Support Banner

Autoconfig Fails During Clone due to libclntsh.so.10.1 wrong ELF class (Doc ID 2830570.1)

Last updated on MARCH 18, 2022

Applies to:

Oracle Applications Manager - Version 12.1.3 and later
Information in this document applies to any platform.

Symptoms

Clone EBS application autoconfig on the database is failing with below error:

ERROR DESCRIPTION: (install_driver(Oracle) failed: Can't load '/.../app/oracle/product/11.2.0/.../perl/lib/site_perl/5.8.3/i686-linux-thread-multi/auto/DBD/Oracle/Oracle.so' for module DBD::Oracle: libclntsh.so.10.1: wrong ELF class: ELFCLASS64 at /.../app/oracle/product/11.2.0/.../perl/lib/5.8.3/i686-linux-thread-multi/DynaLoader.pm line 229.
 at (eval 2) line 3
Compilation failed in require at (eval 2) line 3.
Perhaps a required shared library or dll isn't installed where expected at /.../app/oracle/product/11.2.0/.../appsutil/bin/txkCreateEBSPDBService.pl line 650)
ERRORCODE = 1 ERRORCODE_END
.end std out.
.end err out.

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.